%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-singledispatch
Version:       4.1.1
Release:       1mamba
Summary:       This library brings functools.singledispatch from Python 3.4 to Python 2.6
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/singledispatch/
Source:        https://pypi.debian.net/singledispatch/singledispatch-%{version}.tar.gz
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n singledispatch-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
#%doc README.rst

%changelog
* Tue Feb 11 2025 Automatic Build System <autodist@openmamba.org> 4.1.1-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 4.1.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Mon Aug 28 2023 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Sat Aug 14 2021 Automatic Build System <autodist@mambasoft.it> 3.7.0-1mamba
- automatic version update by autodist

* Mon May 31 2021 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Thu Mar 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.1-2mamba
- rebuilt with python3

* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Sat Aug 10 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.0.3-2mamba
- require python-six

* Sat Jan 23 2016 Davide Madrisan <davide.madrisan@gmail.com> 3.4.0.3-1mamba
- package created using the webbuild interface
